import { ObjectId } from "mongodb";
import { getCollection } from "../mongodb";

export type User = {
    _id: string;
    name: string;
    role: number;
    account: string;
    password: string;
}
export async function getUser(account: string) {
    const collection = await getCollection('user')
    const user = await collection.findOne<User>({ account })

    return user
}
export async function updateUser(user: Partial<User>) {
    const collection = await getCollection('user')
    await collection.updateOne({
        _id: new ObjectId(user._id)
    }, {
        $$set: user
    })
}